### Constructor

# Ide EditorWorkspace new

#### Declaration

    IdeEditorWorkspace*
    ide_editor_workspace_new (
      IdeApplication* app
    )

#### Description

Creates a new `IdeEditorWorkspace`.

You’ll need to add this to a workbench to be functional.

Available since: | 3.32

#### Parameters

`app` | `IdeApplication`
| An `IdeApplication`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeEditorWorkspace`
| An `IdeEditorWorkspace`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.